
/* 
 * Copyright (c) 1993-2005 LAAS/CNRS
 * All rights reserved.
 *
 * Redistribution and use  in source  and binary  forms,  with or without
 * modification, are permitted provided that the following conditions are
 * met:
 *
 *   1. Redistributions of  source  code must retain the  above copyright
 *      notice, this list of conditions and the following disclaimer.
 *   2. Redistributions in binary form must reproduce the above copyright
 *      notice,  this list of  conditions and the following disclaimer in
 *      the  documentation  and/or  other   materials provided  with  the
 *      distribution.
 *
 * THIS  SOFTWARE IS PROVIDED BY  THE  COPYRIGHT HOLDERS AND CONTRIBUTORS
 * "AS IS" AND  ANY  EXPRESS OR IMPLIED  WARRANTIES,  INCLUDING,  BUT NOT
 * LIMITED TO, THE IMPLIED WARRANTIES  OF MERCHANTABILITY AND FITNESS FOR
 * A PARTICULAR  PURPOSE ARE DISCLAIMED. IN  NO EVENT SHALL THE COPYRIGHT
 * HOLDERS OR      CONTRIBUTORS  BE LIABLE FOR   ANY    DIRECT, INDIRECT,
 * INCIDENTAL,  SPECIAL,  EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING,
 * BUT NOT LIMITED TO, PROCUREMENT OF  SUBSTITUTE GOODS OR SERVICES; LOSS
 * OF USE, DATA, OR PROFITS; OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND
 * ON ANY THEORY OF LIABILITY, WHETHER IN  CONTRACT, STRICT LIABILITY, OR
 * TORT (INCLUDING NEGLIGENCE OR OTHERWISE) ARISING IN ANY WAY OUT OF THE
 * USE   OF THIS SOFTWARE, EVEN   IF ADVISED OF   THE POSSIBILITY OF SUCH
 * DAMAGE.
 */

/*------------------  Fichier gnr automatiquement ------------------*/
/*------------------  Ne pas diter manuellement !!! ------------------*/


#ifndef textos_ERROR_H
#define textos_ERROR_H

#include "h2errorLib.h"
#include "genom/genomError.h"

#define M_textos    (805)

/* -- MODULES ERRORS -------------------------------------------------- */

/* demo errors */
#define S_textos_FESTIVAL_ERROR       H2_ENCODE_ERR(M_textos    , 1)
#define S_textos_NO_MEMORY            H2_ENCODE_ERR(M_textos    , 2)
#define S_textos_NO_AUDIO_DEVICE      H2_ENCODE_ERR(M_textos    , 3)


/* std errors */
#define S_textos_stdGenoM_ACTIVITY_INTERRUPTED       52814849   /* 805<<16 | 0x8000 | 100<<8 | 1 */
#define S_textos_stdGenoM_TOO_MANY_ACTIVITIES        52814850   /* 805<<16 | 0x8000 | 100<<8 | 2 */
#define S_textos_stdGenoM_ACTIVITY_FAILED            52814851   /* 805<<16 | 0x8000 | 100<<8 | 3 */
#define S_textos_stdGenoM_WAIT_ABORT_ZOMBIE_ACTIVITY 52814852   /* 805<<16 | 0x8000 | 100<<8 | 4 */
#define S_textos_stdGenoM_UNKNOWN_ACTIVITY           52814853   /* 805<<16 | 0x8000 | 100<<8 | 5 */
#define S_textos_stdGenoM_FORBIDDEN_ACTIVITY_TRANSITION 52814854   /* 805<<16 | 0x8000 | 100<<8 | 6 */
#define S_textos_stdGenoM_SYSTEM_ERROR               52814855   /* 805<<16 | 0x8000 | 100<<8 | 7 */
#define S_textos_stdGenoM_ACTIVITY_ALREADY_ENDED     52814856   /* 805<<16 | 0x8000 | 100<<8 | 8 */
#define S_textos_stdGenoM_WAIT_INIT_RQST             52814857   /* 805<<16 | 0x8000 | 100<<8 | 9 */
#define S_textos_stdGenoM_CONTROL_CODEL_ERROR        52814858   /* 805<<16 | 0x8000 | 100<<8 | 10 */
#define S_textos_stdGenoM_EXEC_TASK_SUSPENDED        52814859   /* 805<<16 | 0x8000 | 100<<8 | 11 */
#define S_textos_stdGenoM_BAD_BLOCK_TYPE             52814860   /* 805<<16 | 0x8000 | 100<<8 | 12 */
#define S_textos_stdGenoM_BAD_POSTER_TYPE            52814861   /* 805<<16 | 0x8000 | 100<<8 | 13 */



/* static H2_ERROR[] */
#define TEXTOS_H2_ERR_MSGS {\
    {"FESTIVAL_ERROR", 1},\
    {"NO_MEMORY", 2},\
    {"NO_AUDIO_DEVICE", 3},\
}

#ifdef __cplusplus
extern "C" {
#endif

extern int textosRecordH2errMsgs(void);

#ifdef __cplusplus
}
#endif


/*-------------------------- end file loading ---------------------------*/
#endif
