
#
# Copyright (c) 1999-2003 LAAS/CNRS
# All rights reserved.
#
# Redistribution  and  use in source   and binary forms,  with or without
# modification, are permitted provided that  the following conditions are
# met:
#
#   1. Redistributions  of  source code must  retain  the above copyright
#      notice, this list of conditions and the following disclaimer.
#   2. Redistributions in binary form must  reproduce the above copyright
#      notice,  this list of  conditions and  the following disclaimer in
#      the  documentation   and/or  other  materials   provided with  the
#      distribution.
#
# THIS SOFTWARE IS PROVIDED BY THE  AUTHOR AND CONTRIBUTORS ``AS IS'' AND
# ANY  EXPRESS OR IMPLIED WARRANTIES, INCLUDING,  BUT NOT LIMITED TO, THE
# IMPLIED WARRANTIES   OF MERCHANTABILITY AND  FITNESS  FOR  A PARTICULAR
# PURPOSE ARE DISCLAIMED.  IN NO  EVENT SHALL THE AUTHOR OR  CONTRIBUTORS
# BE LIABLE FOR ANY DIRECT, INDIRECT,  INCIDENTAL, SPECIAL, EXEMPLARY, OR
# CONSEQUENTIAL DAMAGES (INCLUDING,  BUT  NOT LIMITED TO, PROCUREMENT  OF
# SUBSTITUTE  GOODS OR SERVICES;  LOSS   OF  USE,  DATA, OR PROFITS;   OR
# BUSINESS  INTERRUPTION) HOWEVER CAUSED AND  ON ANY THEORY OF LIABILITY,
# WHETHER IN CONTRACT, STRICT LIABILITY, OR TORT (INCLUDING NEGLIGENCE OR
# OTHERWISE) ARISING IN ANY WAY OUT OF THE  USE OF THIS SOFTWARE, EVEN IF
# ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.
#

#
# This file was automagically generated.
# Manual editing not recommended. Changes will be overridden.
#

if { [lsearch [interp hidden] textosInstall] >= 0 } {
    interp expose {} textosInstall
}

proc ::textosInstall { name } {
    foreach rqst { "Init" "Say"  } {
	interp alias {} ${name}::$rqst {} interp invoke {} textos$rqst $name
    }
}

interp hide {} textosInstall




# Init ----------------------------------------------------------

if { [lsearch [interp hidden] textosInit] >= 0 } {
    interp expose {} textosInit
}
if { [lsearch [interp hidden] textosInitFormatOutput] >= 0 } {
    interp expose {} textosInitFormatOutput
}

proc ::textosInit { name args } {
    set format {}

    return [ ::cs::rqstSend "${name}" "Init" \
	"Initialize the speech synthesis system" \
	"no arguments" \
	0 \
	$format \
	$args ]
}


proc ::textosInitFormatOutput { list } {
    set format { {} status }

    set out ""
    interp invokehidden {} rqstFormatOuput $format out list ""
    return [join $out "\n"]
}

interp hide {} textosInit
interp hide {} textosInitFormatOutput





# Say ----------------------------------------------------------

if { [lsearch [interp hidden] textosSay] >= 0 } {
    interp expose {} textosSay
}
if { [lsearch [interp hidden] textosSayFormatOutput] >= 0 } {
    interp expose {} textosSayFormatOutput
}

proc ::textosSay { name args } {
    set format {}
    lappend format [list string "Sentence" "" ]

    return [ ::cs::rqstSend "${name}" "Say" \
	"Say a sentence" \
	"tts_say_p\n| char sentence\[1024\]\n" \
	1 \
	$format \
	$args ]
}


proc ::textosSayFormatOutput { list } {
    set format { {} status }

    set out ""
    interp invokehidden {} rqstFormatOuput $format out list ""
    return [join $out "\n"]
}

interp hide {} textosSay
interp hide {} textosSayFormatOutput


